/*
Author: Aaron Hurt
Class: COMP 313, Intro to Java
Time: Saturday, 8 to 1
Assignment: Homework 1
Program description:
Convert distance in miles to kilometers.
*/

import java.io.*;
public class Homework1 {
   //define the conversion factor
   private static final double MILES_TO_KILOMETERS = 1.609;

   public static void main(String[] args) {
      double distanceMiles=0;        //used to store input miles
      double distanceKilometers=0;   //used to store output kilometers

      //We will try to input a value from the input stream
      try {
         System.out.print("\n\nEnter distance in miles: ");
         BufferedReader br =
               new BufferedReader(new InputStreamReader(System.in), 1);
         distanceMiles = new Double(br.readLine()).doubleValue();
      } catch (IOException e) {   //catch most errors
         System.out.println("ERROR " + e);
      }

      //convert from miles to kilometers.
      distanceKilometers = distanceMiles * MILES_TO_KILOMETERS;

      //output three blank lines
      System.out.print("\n\n\n");
      //output results
      System.out.println(distanceMiles + " Miles = " + distanceKilometers + " Kilometers\n\n");
   }  //end main
}  //end class Homework1
